<?php

use Illuminate\Support\Facades\Route;

use App\Livewire\Admin\Dashboard as AdminDashboard;
use App\Livewire\Admin\RoleTable;
use App\Livewire\Admin\UserTable;

Route::view('/', 'welcome');

Route::view('dashboard', 'dashboard')
    ->middleware(['auth', 'verified'])
    ->name('dashboard');

Route::view('profile', 'profile')
    ->middleware(['auth'])
    ->name('profile');

require __DIR__.'/auth.php';

Route::middleware(['auth'])->prefix('admin')->name('admin.')->group(function () {
    Route::get('/dashboard', AdminDashboard::class)->name('dashboard');

    Route::get('/roles', function () {
        return view('livewire.admin.roles');
    })->name('roles');
    Route::get('/roles-table', RoleTable::class)->name('roles-table'); 

    Route::get('/users', function () {
        return view('livewire.admin.users');
    })->name('users');
    Route::get('/users-table', UserTable::class)->name('users-table'); 
    
});